Bug 864318 - Guided Decision table: Multiple 'otherwise' for sub-group support
Guided Decision table: Multiple 'otherwise' for sub-group support
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 02:42 EDT by Toshiya Kobayashi
Modified: 2013-05-01 07:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 958396 (view as bug list)
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1954 Major Open Guided Decision table: Multiple 'otherwise' for sub-group support 2014-06-11 08:25:39 EDT

  None (edit)
Description Toshiya Kobayashi 2012-10-09 02:42:26 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/GUVNOR-1954

Steps to Reproduce:
1. Import repository_export_otherwise.xml attached in GUVNOR-1954
2. Open dt1 decision table
3. View Source
  
Actual results:

rule "Row 3 dt1" and rule "Row 6 dt1" have

Airline not in ( "A Airlines", "B Airways", "C Airlines" )

Expected results:

rule "Row 3 dt1" has
Airline not in ( "A Airlines", "B Airways" )

rule "Row 6 dt1" has

Airline not in ( "B Airways", "C Airlines" )
Comment 1 JBoss JIRA Server 2012-10-28 23:16:14 EDT
Toshiya Kobayashi <tkobayas@redhat.com> made a comment on jira GUVNOR-1954

Suggested workaround: splitting the single decision table into smaller ones; each needing only a single "otherwise".
Comment 2 Geoffrey De Smet 2013-03-05 08:40:01 EST
Reassign to the guvnor team, now that I am working full time on planner. So these issues aren't forgotten.

Note You need to log in before you can comment on or make changes to this bug.